Request Export Report
curl --request POST \
--url https://gateway.varchev.com/crypto/requestExportReport \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'tenantId: <tenantid>' \
--data '
{
"nonce": 75100193,
"report": "trades",
"description": "laboris i",
"format": "CSV",
"fields": "all",
"starttm": 75322482,
"endtm": "-65934851"
}
'import requests
url = "https://gateway.varchev.com/crypto/requestExportReport"
payload = {
"nonce": 75100193,
"report": "trades",
"description": "laboris i",
"format": "CSV",
"fields": "all",
"starttm": 75322482,
"endtm": "-65934851"
}
headers = {
"tenantId": "<tenantid>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
tenantId: '<tenantid>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
nonce: 75100193,
report: 'trades',
description: 'laboris i',
format: 'CSV',
fields: 'all',
starttm: 75322482,
endtm: '-65934851'
})
};
fetch('https://gateway.varchev.com/crypto/requestExportReport', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"error": [],
"result": {
"id": "TCJA"
}
}Private
Request Export Report
Request export of trades or ledgers.
POST
/
requestExportReport
Request Export Report
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Body
application/json
(Required)
Example:
75100193
(Required) Type of data to export
Example:
"trades"
(Required) Description for the export
Example:
"laboris i"
File format to export
Example:
"CSV"
Comma-delimited list of fields to include
trades: ordertxid, time, ordertype, price, cost, fee, vol, margin, misc, ledgersledgers: refid, time, type, aclass, asset, amount, fee, balance
Example:
"all"
UNIX timestamp for report start time (default 1st of the current month)
Example:
75322482
UNIX timestamp for report end time (default now)
Example:
"-65934851"
Response
200 - application/json
OK
The response is of type object.
⌘I

